local S = minetest.get_translator(yl_rulesets.modname)

local texts = {}

function yl_rulesets.t(key, ...)
    if (texts[key] == nil) then
        minetest.log("warning", "[" .. yl_rulesets.modname .. "] key " ..
                         (key or "") .. " does not exist")
        return key
    end
    return S(texts[key], ...) or ""
end

-- Fixed texts

texts["log_prefix"] = "[MOD] @1 : @2"

texts["get_savepath"] = "get_savepath : @1"
texts["get_filepath"] = "get_filepath : @1"

-- Translateable texts

texts["information_additional"] = "Allows creation of rulesets"

texts["privs_example_description"] = "Can do example task"
texts["privs_example_grant_logmessage"] = "User @1 granted priv @2 to user @3"
texts["privs_example_revoke_logmessage"] =
    "User @1 revoked priv @2 from user @3"

-- Errormessages

texts["error_not_a_string"] = "@1 not a string"
texts["error_not_a_table"] = "@1 not a table"
texts["error_not_a_function"] = "@1 not a function"
texts["error_player_not_online"] = "@1 not an online player"
texts["error_not_a_colorspec"] = "@1 not a ColorSpec"
texts["error_not_a_position"] = "@1 not a position"
texts["error_function_not_available"] = "@1 not available"

texts["error_cannot_open_file"] = "Error opening file: @1"
texts["error_cannot_read_file"] = "Error reading file: @1"

texts["error_name_not_found"] = "Name not found: @1"
texts["error_priv_not_found"] = "Priv not found: @1"

texts["error_already_exists"] = "@1 already exists @2"
texts["error_doesnt_exist"] = "@1 does not exist @2"